﻿Imports System.Data
Imports System.Data.SqlClient
Imports cadEmails.DAL

Namespace cadEmails.BAL

    Public Class Emails
        Public Sub New()
        End Sub
        Private _alunoID As Integer
        Private _alunoNome As String
        Private _alunoEmail As String
        Private _ativo As Boolean
        Public Property alunoNome() As String
            Get
                Return _alunoNome
            End Get
            Set(ByVal value As String)
                _alunoNome = value
            End Set
        End Property

        Public Property alunoID() As Integer
            Get
                Return _alunoID
            End Get
            Set(ByVal value As Integer)
                _alunoID = value
            End Set
        End Property
        Public Property alunoEmail() As String
            Get
                Return _alunoEmail
            End Get
            Set(ByVal value As String)
                _alunoEmail = value
            End Set
        End Property
        Public Property Ativo() As Boolean
            Get
                Return _ativo
            End Get
            Set(ByVal value As Boolean)
                _ativo = value
            End Set
        End Property
        Public Function IncluirEmails(ByVal email As Emails) As Integer
            Dim db As AcessoBD = New AcessoBD
            Dim p As SqlParameter = New SqlParameter("@alunoID", 0)
            p.Direction = ParameterDirection.Output
            db.AddParameter("@alunoNome", email.alunoNome)
            db.AddParameter("@alunoEmail", email.alunoEmail)
            db.AddParameter("@ativo", email.Ativo)
            db.AddParameter(p)
            Return db.ExecuteNonQuery("sp_InsertEmails")
        End Function

        Public Function atualizarEmails(ByVal email As Emails) As Integer
            Dim db As AcessoBD = New AcessoBD
            db.AddParameter("@alunoID", email.alunoID)
            db.AddParameter("@alunoNome", email.alunoNome)
            db.AddParameter("@alunoEmail", email.alunoEmail)
            db.AddParameter("@ativo", email.Ativo)
            Return db.ExecuteNonQuery("sp_UpdateEmails")
        End Function
        Public Shared Function excluirEmails(ByVal email As Emails) As Integer
            Dim db As AcessoBD = New AcessoBD
            db.AddParameter("@alunoID", email.alunoID)
            Return db.ExecuteNonQuery("sp_DdeleteEmails")
        End Function
        Public Shared Function getEmailPorNome(ByVal nome As String) As Emails
            Dim db As AcessoBD = New AcessoBD
            db.Parameters.Add(New SqlParameter("@alunoNome", nome))
            Dim dr As SqlDataReader = CType(db.ExecuteReader("sp_GetEmailByNome"), SqlDataReader)
            If dr.HasRows Then
                Dim e As Emails = New Emails
                While dr.Read
                    e.alunoID = dr.GetInt32(dr.GetOrdinal("alunoID"))
                    e.alunoNome = dr.GetString(dr.GetOrdinal("alunoNome"))
                    e.alunoEmail = dr.GetString(dr.GetOrdinal("alunoEmail"))
                    e.Ativo = dr.GetBoolean(dr.GetOrdinal("ativo"))
                End While
                dr.Close()
                Return e
            Else
                dr.Close()
                Return Nothing
            End If
        End Function
        Public Function selecionaTodos() As DataSet
            Dim db As AcessoBD = New AcessoBD
            Return db.ExecuteDataSet("sp_SelectAllEmails")
        End Function
    End Class
End Namespace